<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
{% block content %}
<h2>Upload</h2>
<form method="POST" enctype="multipart/form-data" >
    {% csrf_token %}
    <input type="file" name = "document">
    <button type="submit">Upload file</button>
</form>
{% if url %}
<p>Uploaded file: <a href="{{url}}">{{url}}</a> </p>
{% endif %}
{% endblock %}
</body>
</html>
